Developers
API ReferenceTask Type

Updates the TaskType resource

PATCH
/project/task-types/{id}

Updates the TaskType resource

Authorization<token>

Value for the Authorization header parameter.

In: header

Path Parameters

id*string

TaskType identifier

Request Body

The updated TaskType resource

TypeScript Definitions

Use the request body type in TypeScript.

name?string
Lengthlength <= 100
decorator?string

Value in

  • "#78909c"
  • "#2490e3"
  • "#44a069"
  • "#987284"
  • "#d32f2f"
  • "#f57f17"
  • "#003366"
  • "#00bfa5"
  • "#ee7674"
  • "#9c27b0"
categories?array<>

Response Body

curl -X PATCH "https://example.com/project/task-types/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "decorator": "#78909c",  "categories": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string"    }  ]}